// variables
  --breadcrumb-clickable-background
  --breadcrumb-current-background

  --spacing

.breadcrumb
  overflow-x: hidden
  flex: 1
  display: flex
  align-items: center

  .scroller
    display: block ruby
    overflow-x: auto
    scrollbar-width: none

    label
      width: max-content
      display: inline-block
      padding: calc( var( --spacing ) / 3 ) calc( var( --spacing ) * .7 )
      background: var( --breadcrumb-clickable-background )
      cursor: pointer
      margin-left: var( --spacing )

      & + *
        &::before
          content: '/'
          position: relative
          left: calc( -1.45 * var( --spacing ) )

      &:last-child
        cursor: default
        background: var( --breadcrumb-current-background )
